Berkeley DB version 4.6.21

## com.sleepycat.bind
Class ByteArrayBinding

    java.lang.Object
      com.sleepycat.bind.ByteArrayBinding

All Implemented Interfaces:
  EntryBinding

    public class ByteArrayBinding

extends Object
implements EntryBinding

A pass-through `EntryBinding` that uses the entry's byte array as the key or data object.

Constructor Summary
`ByteArrayBinding()` Creates a byte array binding.

Method Summary
`Object` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` `objectToEntry(Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayBinding

    public ByteArrayBinding()

  Creates a byte array binding.

Method Detail

### entryToObject

    public Object entryToObject(DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts a entry buffer into an Object.

  Specified by:
    `entryToObject` in interface `EntryBinding`
  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting Object.

### objectToEntry

    public void objectToEntry(Object object,
                              DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts an Object into a entry buffer.

  Specified by:
    `objectToEntry` in interface `EntryBinding`
  Parameters:
    `object` - is the source Object.
    `entry` - is the destination entry buffer.

Berkeley DB version 4.6.21

Copyright (c) 1996,2007 Oracle. All rights reserved.